# Uses of Class
io.dapr.client.domain.BulkPublishRequest

Packages that use BulkPublishRequest
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of BulkPublishRequest in io.dapr.client

Methods in io.dapr.client with parameters of type BulkPublishRequest
Modifier and Type
Method
Description
`<T> reactor.core.publisher.Mono<BulkPublishResponse<T>>`
DaprClientImpl.`publishEvents(BulkPublishRequest<T> request)`
Publish multiple events to Dapr in a single request.
`<T> reactor.core.publisher.Mono<BulkPublishResponse<T>>`
DaprPreviewClient.`publishEvents(BulkPublishRequest<T> request)`
Publish multiple events to Dapr in a single request.

## Uses of BulkPublishRequest in io.dapr.client.domain

Methods in io.dapr.client.domain that return BulkPublishRequest
Modifier and Type
Method
Description
`BulkPublishRequest<T>`
BulkPublishRequest.`setMetadata(Map<String,String> metadata)`